Metamorph and the 2.1 ota


Last Updated:

  1. Droidking

    Droidking Well-Known Member This Topic's Starter

    Joined:
    Nov 18, 2009
    Messages:
    69
    Likes Received:
    0
    I currently have quite a few mm themes on my phone now. I'm currently running dm 1.0. Will those themes that were compatible with 2.0.1, will they be compatible with 2.1 ?
     

    Advertisement
  2. Fabolous

    Fabolous Superuser VIP Member

    Joined:
    Nov 7, 2009
    Messages:
    3,635
    Likes Received:
    2,126
    In a word, no.

    Just the framework-res and services.jar themes though, most likely.

    The themes for apps (browser, music, email, etc.) should still work fine.
     
  3. shrink57

    shrink57 Well-Known Member

    Joined:
    Dec 19, 2009
    Messages:
    1,529
    Likes Received:
    149
    2.01 themes are not compatible with 2.1 - you might be able to get a few thinks to skin proparly but for the most part you will create nothing but problems. 2.1 themes should be used with the specific ROM (ESE53, Cyanogen) they were designed for. As for the OTA 2.1 who knows? Some are already experiencing problems.
     
  4. Fabolous

    Fabolous Superuser VIP Member

    Joined:
    Nov 7, 2009
    Messages:
    3,635
    Likes Received:
    2,126
    Yeah, I tried to theme Pete's ESE81 this morning, and had some troubles modifying the clock and notification text color. Everything else worked.

    And I just noticed, but you said MM and OTA, and those two don't belong in the same sentence seeing as how the OTA update takes away root :p

    There's definitely something different about the ESE81 framework from even ESE53.
     
  5. Droidking

    Droidking Well-Known Member This Topic's Starter

    Joined:
    Nov 18, 2009
    Messages:
    69
    Likes Received:
    0
    So is it gonna take awhile for MM to support themes for 2.1 or do I have to look elsewhere? I have a pure glass notification bar and a bunch of other goodies that I would love to rock once 2.1 gets rooted .
     
  6. Fabolous

    Fabolous Superuser VIP Member

    Joined:
    Nov 7, 2009
    Messages:
    3,635
    Likes Received:
    2,126
    The reason the 2.1 MM's don't work on Pete's ESE81 is because it is odexed. Once he releases the next BB, it will be deodexed and 2.1 compatible MM's will work on it.
     

Share This Page

Loading...